# /* configure */
# /* $Id: configuration.inc,v 1.4 2002/06/21 10:36:46 izzy Exp $ */

[title]
Einleitung

[text]
In diesem Formular lassen sich generelle Einstellungen fr phpVideoPro
vornehmen, wie z.B. Sprach- und Farbeinstellungen.

[title]
*language_settings#

[text]
<b>*scan_new_lang_files#:</b> Zur Speicherung der fr das bersetzungsmodul
bentigten Daten verwendet phpVideoPro seine Datenbank. Will man also eine
neue Sprache hinzufgen, mu diese aktualisiert werden. Dies geschieht ber
SQL Dateien, die ich im Folgenden der Einfachheit halber "Sprachdateien"
nennen mchte. Eine neue Sprachdatei mu dem System zunchst bekannt gemacht
werden - dies geschieht durch das Aktivieren dieser Box (und natrlich
anschlieendes Versenden des Formulars). Die weiteren Schritte folgen unten.
Wie eine neue Sprachdatei erstellt werden kann, findet sich in der Hilfe zum
Punkt "<A HREF="{PHP_SELF}?topic=howto_lang">*howto_lang#</A>".

[text]
<b>*select_add_lang#:</b> Natrlich knnen hier nur verfgbare Sprachen
ausgewhlt werden (das sind jene, zu denen bereits eine Sprachdatei existiert) -
phpVideoPro gehrt nicht in die Kategorie "KI" und kann daher nicht mal eben
eine neue Sprache selbst erfinden :) Um die bersetzungen fr eine bereits
installierte Sprache zu aktualisieren, gibt es den nchsten Punkt.

[text]
<b>*refresh_lang#:</b> Steht eine neuere Version einer bereits installierten
Sprachdatei zur Verfgung (oder hat man selbst eine vorhandene Sprachdatei
angepat), knnen hiermit die entsprechenden Eintrge in der Datenbank
aktualisiert werden. Dabei werden alle bestehenden Eintrge fr die ausgewhlte
Sprache zunchst aus der Datenbank gelscht, und sodann die Eintrge aus der
Sprachdatei importiert. Die Mglichkeit, bestehende Eintrge beizubehalten, und
nur neue zu importieren, gibt es derzeit noch nicht.

[text]
<b>*select_primary_lang#:</b> Aus den vorhandenen Sprachen kann eine als
"Primrsprache" ausgewhlt werden. Das heit, phpVideoPro versucht alle
Bildschirmausgaben in dieser Sprache durchzufhren. Ist die bersetzung fr
eine Phrase nicht in der "Primrsprache" vorhanden, wird in den Englischen
bersetzungen gesucht. Schlgt auch dies fehl, taucht ein "Sprachcode" des
Programmierers auf - sollte dies nicht auf einen Benutzerfehler (wie etwa eine
gelschte Englische Sprache) zurckzufhren sein, erbitte ich eine
<A HREF="mailto:izzysoft@qumran.org">Nachricht</A> an mich, damit ich den
Fehler beheben kann!

[title]
*colors#

[text]
<b>*page_bg# / *table_bg# / *th_bg#:</b> Diese Einstellungen werden in das
StyleSheet mit eingepflegt - die Namen sprechen ja fr sich.

[text]
<b>*feedback_ok# / *feedback_err#:</b> Im Unterschied zum vorigen Punkt werden
diese Einstellungen in kein StyleSheet eingepat. Sie dienen Rckmeldungen vom
System, z.B. bei Aktualisierungen der Datenbank, um den jeweiligen Status
sofort erfabar zu machen. "*feedback_ok#" meint hier also die Textfarbe fr
eine positive Rckmeldung, whrend "*feedback_err#" die Textfarbe fr eine
Fehlermeldung darstellt.

[text]
<b>*template_set#:</b> Seit Version 0.1.5 basiert phpVideoPro auf Templates
(das Design betreffend). Als Autor habe ich lediglich ein einziges Set solcher
Templates der Distribution beigefgt; sobald jedoch weitere Templatesets
verfgbar sind (d.h., sobald jemand ein solches erstellt und mir zugeschickt
hat - ich selber werde wahrscheinlich zumindest in absehbarer Zeit kein
weiteres erstellen :), lassen diese sich hier auswhlen, und phpVideoPro erhlt
auf diese Weise eine "neue Haut" ("Skins", wie sie auch von Programmen wie
XMMS bzw. WinAmp bekannt sein drften).

[title]
*general#

[text]
<b>*display_limit#:</b> ltere Versionen von phpVideoPro zeigten Listen, wie
z.B. unter dem Menpunkt *medialist# zu finden, stets in voller Lnge, d.h.
mit allen Datenstzen an. Bei umfangreichen Datensammlungen fhrte dies nicht
nur zu langen Ladezeiten, sondern konnte durchaus auch recht unbersichtlich
werden. Mit Version 0.2.3 wurde daher eingefhrt, diese Liste in mehrere
"Hppchen" unterteilen zu knnen. Die Gre dieser "Hppchen" lt sich mit
diesem Punkt einstellen: er gibt an, wie viele Zeilen die jeweilige Tabelle
haben soll. Innerhalb der Listen lt sich mit vier Buttons navigieren: diese
fhren jeweils zur ersten/letzten bzw. vorigen/nchsten Seite.

[text]
Zugegebenermaen scheint es bei den Besetzungslisten (Darsteller, Regisseure
etc.) zu kleinen Ungereimtheiten zu kommen, und die Anzahl der Zeilen kann
nicht nur vom eingestellten "*display_limit#" abweichen, sondern auerdem auch
von Seite zu Seite differieren. Dies liegt daran, dass hier die "Hppchen-Gre"
auf die Anzahl der Personen angewendet wird. Diese knnen aber durchaus auch als
"nicht anzuzeigen" erfat sein (Option "*in_list#" im "*edit#" Formular).

[text]
<b>*lines_per_page#:</b> Diese Angabe dient den Vorbereitungen fr den
Listendruck und gibt an, wie viele Zeilen (reinen ASCII) Textes auf ein Blatt
Papier passen. Einmal an dieser Stelle festgelegt, wird dieser Wert bei jedem
Aufruf des Menpunktes "*listgen#" (siehe <A HREF="{PHP_SELF}?topic=listgen">dort</A>)
als Standard vorgegeben, kann dort jedoch auch jedesmal angepasst werden.

[text]
<b>*date_format#:</b> In welchem Format sollen Datumsangaben prsentiert werden.
Dies ist erst seit phpVideoPro v0.2.6 konfigurierbar; bis zur v0.3.0 sollten
jedoch alle Mens, Formulare und Listen entsprechen angepasst sein. Sollte
dennoch ein Punkt vergessen worden sein, bitte ich um einen kurzen Hinweis
(ich wrde an dieser Stelle ja ein kostenloses Update als Preis anbieten - aber
angesichts der Lizenz dieses Produktes nhme das eh niemand ernst :)


[eof]

